## Class ColorFormatter

- java.lang.Object
- - java.util.logging.Formatter
  - - java.util.logging.SimpleFormatter
    - - ColorFormatter

    public class ColorFormatter
    extends java.util.logging.SimpleFormatter

`SimpleFormatter` that uses ANSI color escape sequence.

Author:
  Kohsuke Kawaguchi

### Constructor Summary

Constructors
Constructor and Description
`ColorFormatter()`

### Method Summary

Methods
`java.lang.String` `format(java.util.logging.LogRecord record)`
`static void` `install()` Conservatively installs the color logger.

### Methods inherited from class java.util.logging.Formatter

`formatMessage, getHead, getTail`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ColorFormatter

    public ColorFormatter()

### Method Detail

#### format

    public java.lang.String format(java.util.logging.LogRecord record)

Overrides:
  `format` in class `java.util.logging.SimpleFormatter`

#### install

    public static void install()

Conservatively installs the color logger. If we don't run with JDK6, or if the stdin/stdout isn't console, back off.